Subject: RE: [Isis-wg] draft-ietf-isis-auto-encap-01.txt

From: "Philip Christian" <[email-masked]>
Date: Fri, 26 Jul 2002 15:40:55 +0100

Well, obviously anyone who is putting together an SDH DCN network will
clearly want GRE.
Note that the installed base of SDH multiplexers so far cost approximately
$250 billion.
I remember someone calculating that the DCN network would be at least 5% of
the cost of an SDH network.
(Just in case anyone wondered why companies still market OSI routers)....

I cannot quite see why anyone else will care.  They will just want vendor
"a" to interwork with vendor "b".

An obvious way to guarantee that vendor "a" interworks with vendor "b"
interworks with SONET/SDH multiplexers is to document only GRE in the draft.

Maybe that's what I should have done from the start and probabaly no-one
would have complained. Ho hum.

Philip

-----Original Message-----
From: Tony Przygienda [mailto:[email-masked]]
Sent: Friday, July 26, 2002 3:16 PM
To: Christian, Philip [HAL02:GI50:EXCH]
Cc: [email-masked]
Subject: Re: [Isis-wg] draft-ietf-isis-auto-encap-01.txt

Philip Christian wrote:

> Question:-
>
> Page five of this draft lists a number of encapsulations that a router 
> can advertise as being able to terminate.
> These include GRE, IPv4 in IP and IPv6 in IP.
>
> The ITU-T treats this differently, as it mandates that GRE must be 
> supported (although that doesn't mean that others couldn't be too).
>
> Do folks think that it is a good idea to allow different encapsulation 
> modes? or would it be better to just describe one (which I guess would 
> have to be GRE)?
>
> I am just thinking that when talking interoperability, choice is a bad 
> thing.
>
> Comments?
>
> Philip
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-isis-auto-encap-01.txt
>

The question should be rather put as 'what do the operational folks want 
and will deploy' so I would
encourage those to come forward with an answer.  

    thanks

    -- tony

PS: My guts say GRE today and maybe IPv6 in IPv4 in the future if they 
get IPv6 gear that
doesn't support GRE ...